[postgis-users] postgis on Debian 4.0

Matthias Kestenholz mk at spinlock.ch
Thu Jul 31 01:06:35 PDT 2008

On Wed, 2008-07-30 at 23:57 +0100, Adrian wrote:
> I'm trying to create a postgis database on a brand new install of Debian 
> 4.0r2 (which I understand is the stable, rock solid no problems 
> version), using the following steps:
> aptitude install postgresql-8.1-postgis

Did you restart the postgresql server after installing the postgis

> su - postgres
> createuser <username>
> createdb -E UTF8 -O <username> <dbname>
> createlang plpgsql <dbname>
> Everything looks OK until I do
> psql -d gis -f /usr/share/postgresql-8.1-postgis/lwpostgis.sql
> and then I get lots of error messages that start with:
> psql:/usr/share/postgresql-8.1-postgis/lwpostgis.sql:39: NOTICE:  type
> "histogram2d" is not yet defined
> DETAIL:  Creating a shell type definition.
> psql:/usr/share/postgresql-8.1-postgis/lwpostgis.sql:39: ERROR:  could
> not load library "/usr/lib/postgresql/8.1/lib/liblwgeom.so.1.1":
> /usr/lib/postgresql/8.1/lib/liblwgeom.so.1.1: undefined symbol:
> vacuum_delay_point
> psql:/usr/share/postgresql-8.1-postgis/lwpostgis.sql:44: ERROR:  current
> transaction is aborted, commands ignored until end of transaction block
> Any suggestions on how to fix it? I would have though many people have 
> been here before me, but I can't find them with Google. It looks to me 
> like the 8.1 version of the lwpostgis.sql script doesn't match the 
> shared library in the 8.1 release.

More information about the postgis-users mailing list